gdata.tlslite.utils.cipherfactory | index /home/afshar/wrk/gdata-python-client/src/gdata/tlslite/utils/cipherfactory.py

`Factory functions for symmetric cryptography.`

Modules
`` |  |
gdata.tlslite.utils.PyCrypto_AES gdata.tlslite.utils.PyCrypto_RC4 | gdata.tlslite.utils.PyCrypto_TripleDES gdata.tlslite.utils.Python_AES | gdata.tlslite.utils.Python_RC4 gdata.tlslite.utils.cryptomath | os

Functions
`` |  | createAES(key, IV, implList=None) `Create a new AES object. @type key: str @param key: A 16, 24, or 32 byte string. @type IV: str @param IV: A 16 byte string @rtype: L{tlslite.utils.AES} @return: An AES object.` createRC4(key, IV, implList=None) `Create a new RC4 object. @type key: str @param key: A 16 to 32 byte string. @type IV: object @param IV: Ignored, whatever it is. @rtype: L{tlslite.utils.RC4} @return: An RC4 object.` createTripleDES(key, IV, implList=None) `Create a new 3DES object. @type key: str @param key: A 24 byte string. @type IV: str @param IV: An 8 byte string @rtype: L{tlslite.utils.TripleDES} @return: A 3DES object.`

Data
`` |  | tripleDESPresent = True